%define epiver 1.4.6

Summary: Plugins for the Epiphany Web Browser
Name: epiphany-extensions
Version: 1.4.5
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Networking/WWW
Url: http://epiphany.mozdev.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: mozilla-devel
BuildRequires: OpenSP-devel
BuildRequires: perl-XML-Parser
Requires: epiphany >= %epiver

%description

This package contains the following extensions for the Epiphany Browser:
Gestures
Popup blocker
Tabs menu

%prep
%setup -q
cp -f extensions/error-viewer/README README.error-viewer

%build
%configure2_5x
# --with-extensions=gestures,tabsmenu,certificates,error-viewer
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name-1.4

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-1.4.lang
%defattr(-,root,root)
%doc COPYING* AUTHORS ChangeLog NEWS README*
%doc extensions/gestures/ephy-gestures.xml
%_datadir/%name/*
%_libdir/epiphany-1.4/extensions/*


%changelog
* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- New release 1.4.5

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- New release 1.4.4

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- requires new epiphany
- New release 1.4.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- fix file list
- New release 1.4.2
- Remove patch0 (merged upstream)

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- patch to build with mozilla 1.7.2

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- requires new epiphany
- New release 0.9.1

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- reallow libtoolize
- rebuild for new g++

* Mon May 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-6mdk
- rebuild for new mozilla

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- fix buildrequires again

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- requires epiphany 1.2.1
- another buildrequires fix

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequires

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- First package from Gtz Waschk

